## org.eclipse.datatools.modelbase.sql.query.util
Class SQLQueryLogger

    java.lang.Object
      org.eclipse.datatools.modelbase.sql.query.util.SQLLogUtil
          org.eclipse.datatools.modelbase.sql.query.util.SQLQueryLogger

    public class SQLQueryLogger

extends SQLLogUtil

The `SQLQueryLogger` is a slim wrapper around the eclipse logging, with the intention to be refactored in future to adopt the common logging strategy, preferably `Logger`.

Author:
  ckadner

Constructor Summary
`SQLQueryLogger(Plugin plugin)`

Method Summary
`static SQLLogUtil` `getLogger()`
`static void` `setLogger(SQLLogUtil logger)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.util.SQLLogUtil
`getCurrentPlugin, isTracing, setCurrentPlugin, write, write, write, writeInfo, writeLog, writeLog, writeLog, writeTrace, writeTraceEntry, writeTraceExit, writeTraceExit, writeTraceExit`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLQueryLogger

    public SQLQueryLogger(Plugin plugin)

Parameters:
  `plugin` -

Method Detail

### getLogger

    public static SQLLogUtil getLogger()

### setLogger

    public static void setLogger(SQLLogUtil logger)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.